<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:background="@color/white"
    android:gravity="center"
    android:orientation="horizontal"
    android:paddingTop="@dimen/dp_10"
    android:paddingBottom="@dimen/dp_10">

    <View
        android:id="@+id/line"
        android:layout_width="@dimen/dp_1"
        android:layout_height="@dimen/dp_0"
        android:background="@color/divide_color"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@id/tv_percent"
        app:layout_constraintEnd_toStartOf="@id/iv_icon"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@id/tv_title" />

    <com.cooleshow.teacher.widgets.LineView
        android:id="@+id/iv_icon"
        android:layout_width="@dimen/dp_2"
        android:layout_height="0dp"
        android:layout_marginStart="@dimen/dp_10"
        android:background="@drawable/shape_course_status_ing"
        app:layout_constraintBottom_toBottomOf="@id/tv_percent"
        app:layout_constraintStart_toEndOf="@id/line"
        app:layout_constraintTop_toTopOf="@id/tv_title"
        app:layout_goneMarginStart="@dimen/dp_0" />


    <TextView
        android:id="@+id/tv_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_6"
        android:ellipsize="end"
        android:maxEms="6"
        android:maxLines="1"
        android:text=""
        android:textColor="@color/color_808080"
        android:textSize="@dimen/dp_12"
        app:layout_constraintStart_toEndOf="@id/iv_icon"
        app:layout_constraintTop_toTopOf="parent" />


    <TextView
        android:id="@+id/tv_percent"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_5"
        android:text="00.00 "
        android:textColor="@color/black"
        android:textSize="@dimen/dp_16"
        app:layout_constraintStart_toStartOf="@id/tv_title"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />


</androidx.constraintlayout.widget.ConstraintLayout>